Subject: RE: [Sipping] Screened From: and Privacy

From: "Mark Watson"<[email-masked]>
Date: Thu, 18 Apr 2002 12:07:24 +0100

> Jesske, R writes:
> 
>  > How should it be verified when I'm anonymous. Then I need 
> some Information for the regulatory aspect!
> 
> your display string is "Anonymous", but the uri contains the your from
> address (see below).
> 

I had not understood this aspect of your service. This allows me to answer
your question about the advantage of RPID or some other Network Asserted
Identity.

If your client if SIP-compliant, then it will insert "Anonymous" in the
display string, and _something meaningless_ in the uri.

Your proxy can determine the client identity during the Authentication
process. The Network Asserted Identity field then allows the identity to be
communicated to the Gateway.

You would not need to verify the From: field, though I would understand why
if you still did. You would not require that it contained the user uri when
the user wanted privacy. 

Also, if the user has requested anonymity, and the session leaves your
network, towards a SIP endpoint, then rather than needing to insert a B2BUA
to remove the user's URI from the From: field, you just remove the Network
Asserted Identity field.

[If the *subscriber* requires anonymity, and the user has NOT requested it,
then you still need the B2BUA, IMO]

...Mark

>  > 2. The SIP user has a E.164@user URL then the Gateway maps 
> the URL direct to the Calling Party Number. (e.G. 
> [email-masked] to CgPN=6151835940 with the 
> indication national or international). 
> 
> this is what we are using and once it is used, the provider needs to
> verify the number and after the verification is becomes trusted.
> 
> so i don't understand what additional value the rpid would bring.
> 
>  > If I'm anonymous I need the real identity within an other Header
>  > (RPID).The network will inset the real identity into the RPID with
>  > screen=yes. The RPID will be mapped to the PSTN as an restricted
>  > number, the restricted number is needed for some regulatory aspect
>  > (e.g. legal interception). But the normal user sees only 
> the contend
>  > of the From header.
> 
> you clearly didn't get my point.  the uri of the from field 
> MUST contain
> the calling number, whereas the display string controls the 
> anonymity or
> that number.
> 
> -- juha
> 
> 
> 
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments of core SIP
>

---

From: [email-masked]
Date: Thu, 18 Apr 2002 14:24:21 +0300

> display string, and _something meaningless_ in the uri.

none of the UAs that i have seen inserts something meaningless in
the from uri if the user sets the display string is anonymous.  it is
"should" in the spec and looks like every UA implementer allows the
user to determine what to do, which is a good thing.

 > communicated to the Gateway.

if you mean that the proxy can verify who the user is, sure, it does
that via digest authentication.  however, that doesn't mean that the
proxy would know what from uri the user would like to use, because as i
have again said far too many times already, a single user can have any
number of valid from uris.

 > if you still did. You would not require that it contained the user uri when

see above.

-- juha